#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Fri Dec 14 12:31:11 2018

@author: richtesn
"""
from enum import Enum


class ScoreType(Enum):
    """ Defines the type of score to be used in the written structure. """
    MS = 1
    CS = 2
    CORRECTED_RAND = 3
    CLUSTER_INFORMATION = 4


class SimilarityType(Enum):
    """ Defines the type of similiarity measure to be used in the comparison.
    """
    HODGKIN = 1
    CARBO = 2


class DistanceType(Enum):
    """
    """
    PIPSA = 1
    LINEAR = 2
    SIGMOID = 3


class ClusterType(Enum):
    """
    """
    AGNES = 1
    DIANA = 2
